Welcome to mirror list, hosted at ThFree Co, Russian Federation.

gitlab.com/gitlab-org/gitlab-foss.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGitLab Bot <gitlab-bot@gitlab.com>2022-11-17 14:33:21 +0300
committerGitLab Bot <gitlab-bot@gitlab.com>2022-11-17 14:33:21 +0300
commit7021455bd1ed7b125c55eb1b33c5a01f2bc55ee0 (patch)
tree5bdc2229f5198d516781f8d24eace62fc7e589e9 /scripts/setup
parent185b095e93520f96e9cfc31d9c3e69b498cdab7c (diff)
Add latest changes from gitlab-org/gitlab@15-6-stable-eev15.6.0-rc42
Diffstat (limited to 'scripts/setup')
-rwxr-xr-xscripts/setup/as-if-jh.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/scripts/setup/as-if-jh.sh b/scripts/setup/as-if-jh.sh
new file mode 100755
index 00000000000..38c3ac9b913
--- /dev/null
+++ b/scripts/setup/as-if-jh.sh
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+prepare_jh_branch() {
+ set -eu # https://explainshell.com/explain?cmd=set+-eu
+
+ JH_BRANCH="$(./scripts/setup/find-jh-branch.rb)"
+ export JH_BRANCH
+
+ echoinfo "JH_BRANCH: ${JH_BRANCH}"
+}
+
+download_jh_path() {
+ set -eu # https://explainshell.com/explain?cmd=set+-eu
+
+ for path in "$@"; do
+ # https://www.shellcheck.net/wiki/SC3043
+ # shellcheck disable=SC3043
+ local output="${path}.tar.gz"
+
+ echoinfo "Downloading ${path}"
+
+ curl --location -o "${output}" -H "Private-Token: ${ADD_JH_FILES_TOKEN}" "https://gitlab.com/api/v4/projects/${GITLAB_JH_MIRROR_PROJECT}/repository/archive?sha=${JH_BRANCH}&path=${path}"
+
+ tar -zxf "${output}"
+ rm "${output}"
+ mv gitlab-"${JH_BRANCH}"-*/"${path}" ./
+ done
+}